using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{

	public class FMImportConfigMap : APTEntityBaseMap<T_FM_IMPORT_CONFIG>
	{
		public override void Configure(EntityTypeBuilder<T_FM_IMPORT_CONFIG> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(200);
			builder.Property(t => t.NAME).HasMaxLength(200);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(400);
            builder.Property(t => t.API_URL).HasMaxLength(200);
			builder.Property(t => t.TABLE_NAME).HasMaxLength(100);
			builder.Property(t => t.EDIT_FORM_CODE).HasMaxLength(100);

			builder.Property(t => t.REMARK).HasMaxLength(400);
		} 
	}
}
